This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 973509 - User not aware they can use other characters in Group ID
User not aware they can use other characters in Group ID
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
All All
unspecified Severity low
: ---
: 3.5
Assigned To: Damian Jansen
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 01:20 EDT by Damian Jansen
Modified: 2015-01-26 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1873)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 18:28:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-06-12 01:20:51 EDT
Description of problem:
Help / error dialog does not indicate the use of period (".")

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Always

Steps to Reproduce:
1. Go to http://(zanata-host)/zanata/version-group/list
2. Click Create Group
3. Enter a group ID of My\Group
4. Error shows "must start and end with letter or number, and contain only letters, numbers, underscores and hyphens."
5. Enter a group ID of My.Group
6. Add a group name, press Create

Actual results:
Group is created.

Expected results:
According to help / error bubble, . is not an acceptable character, so either the help is inaccurate or the check is flawed.

Additional info:
Comment 1 Damian Jansen 2013-06-16 21:32:50 EDT
User can also use { and }
The pattern in SlugValidator.java reads
"[a-zA-Z0-9]+([a-zA-Z0-9_\\-{.}]*[a-zA-Z0-9]+)?"

I'm expecting this is correct, i.e. some thought has gone into adding the {.}
These characters do not appear to have any adverse effects on creating a group.
Comment 2 Damian Jansen 2014-07-27 23:44:10 EDT
https://github.com/zanata/zanata-server/pull/541
Comment 3 Ding-Yi Chen 2014-08-11 02:59:07 EDT
VERIFIED with Zanata 3.5.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-1873)

Note You need to log in before you can comment on or make changes to this bug.